corda / net.corda.core.transactions / SignedTransaction / toLedgerTransaction

# toLedgerTransaction

`fun toLedgerTransaction(services: ServiceHub): LedgerTransaction`

Calls verifySignatures to check all required signatures are present, and then calls WireTransaction.toLedgerTransaction with the passed in ServiceHub to resolve the dependencies, returning an unverified LedgerTransaction.

### Exceptions

`AttachmentResolutionException` - if a required attachment was not found in storage.

`TransactionResolutionException` - if an input points to a transaction not found in storage.

`SignatureException` - if any signatures were invalid or unrecognised

`SignaturesMissingException` - if any signatures that should have been present are missing.